/* BLOCK: Hero Banner */

.block-hero-banner .text-content {
    text-align: center;
}

.block-hero-banner.align--left .text-content {
    text-align: left;
}

.block-hero-banner.align--right .text-content {
    text-align: right;
}

.block-hero-banner .text-content > p {
    max-width: 50rem;
}

.block-hero-banner:not(.align--left):not(.align--right) .text-content > p {
    margin-inline: auto;
}

.block-hero-banner .text-content > :not(:last-child) {
    margin-bottom: 3.75rem;
}

.block-hero-banner .text-content :has(> .gbwp-svg) {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0 1.875rem;
    flex-wrap: wrap;
}

.block-hero-banner .text-content .gbwp-svg {
    width: 2.5rem;
    height: auto;
}

.block-hero-banner:not(.theme--dark-tint-2) .text-content .gbwp-svg {
    color: var(--c-bg-dark-tint-2);
}

.block-hero-banner .cta-buttons {
    justify-content: center;
}

.block-hero-banner .cta-buttons:not(:first-child) {
    margin-top: 3.75rem;
}

.block-hero-banner.align--left .cta-buttons {
    justify-content: flex-start;
}

.block-hero-banner.align--right .cta-buttons {
    justify-content: flex-end;
}

@media screen and (width <= 620px) {
    .block-hero-banner .text-content {
        text-wrap: auto;
    }

    .block-hero-banner:is(.align--left,.align--right) .text-content {
        text-align: center;
    }

    .block-hero-banner .text-content > :not(:last-child) {
        margin-bottom: 2.5rem;
    }

    .block-hero-banner .text-content > p {
        margin-inline: 1rem;
    }

    .block-hero-banner .text-content :has(> .gbwp-svg) {
        flex-direction: column;
    }

    .block-hero-banner .text-content .gbwp-svg {
        width: 1.625rem;
        order: -1;
        margin-bottom: 1.25rem;
    }

    .block-hero-banner .cta-buttons:not(:first-child) {
        margin-top: 2.5rem;
    }

    .block-hero-banner:is(.align--left,.align--right) .cta-buttons {
        justify-content: center;
    }
}